#! /bin/sh
#
# Master Control Script for BGP Monitoring Suite
# 2/14/2005 matott@mcs.anl.gov
#

# just make sure rrdtool is in the path
PATH="/usr/bin:/bin:$PATH"
export PATH

# where bgp_mon is run from
PKGDIR=/usr/local/anlcron/bgp_mon
BINDIR=$PKGDIR/bin

# where bgp mon creates it's web pages
OUTDIR=/usr/www/sites/mren/bgp

# who to contact if route counts change
NOTIFY="noc@mynetwork.net"

# SNMP Read community
COMMUNITY="public"

# name of local AS
LOCAL_NAME="My Network Dot Net"

# Space seperated list of targets to hit query
TARGETS="my_first_router my_second_router"

for target in $TARGETS
do
	test -d "$OUTDIR/$target" || mkdir -p "$OUTDIR/$target"
	test -d "$PKGDIR/tmp/$target" || mkdir -p "$PKGDIR/tmp/$target"
	test -d "$PKGDIR/rrds/$target" || mkdir -p "$PKGDIR/rrds/$target"

	$BINDIR/bgp_data_collector.pl $PKGDIR $OUTDIR $target $COMMUNITY $LOCAL_NAME
	$BINDIR/update_bgp_route_count_rrds.sh $PKGDIR $OUTDIR $target
	$BINDIR/bgp_route_count_alerter.pl $PKGDIR $target $LOCAL_NAME
done
