#! /usr/bin/perl
use strict;

my $pkgdir = shift(@ARGV);
my $target = shift(@ARGV);
my $local_name = shift(@ARGV);
my $notify = shift(@ARGV);


my $tmpdir="$pkgdir/tmp/$target";


my $count_file = "$tmpdir/route_counts.txt";
my $last_count_file = "$tmpdir/route_counts.txt.last";

my %OLD_COUNTS;
open ( FILE, $last_count_file ) || die "could not open $last_count_file\n";
while (my $line = <FILE> )
{
	chomp($line);
	$line =~ s/^\s*//g;
	$line =~ s/\s*$//g;
	if ( $line =~ /^$/ || $line =~ /^#/ ) { next; }
	my ( $time, $peer, $count ) = split( " ", $line, 3 );
	$OLD_COUNTS{ $peer } = $count;
}
close(FILE);

my @output;

open ( FILE, $count_file ) || die "could not open $count_file\n";
while (my $line = <FILE> )
{
	chomp($line);
	$line =~ s/^\s*//g;
	$line =~ s/\s*$//g;
	if ( $line =~ /^$/ || $line =~ /^#/ ) { next; }
	my ( $time, $peer, $count ) = split( " ", $line, 3 );
	if ( $count != $OLD_COUNTS{ $peer } )
	{
		push (@output, "$peer Route Count Changed from $OLD_COUNTS{ $peer } to $count!" );
	}
	else
	{
		#push (@output, "$peer Route Count steady at $OLD_COUNTS{ $peer } and $count" );
	}
}
close(FILE);


if ( ! $output[0] )
{
	exit 0;
}

open( CMD, "| mailx -s \"$local_name - $target BGP Peering Route Count Changes\" $notify" ) || die "failed to open mailx -s \"Route Counte Changes\" $notify\n";
foreach my $line (@output)
{
	print CMD "$line\n\n";
	#print "$line\n\n";
}
close(CMD);

